---
const { deviceName, issuesLink } = Astro.props;
---

<sidebarjs-component
  sidebarjs="flagIssueSidebar"
  class="d-none"
  data-trackingname="Flag issue"
>
  <h2 class="mb-5 light h5 mt-5 me-5">
    <span class="italic">Report an Issue</span> for<br />
    <span class="text-orange bold">{deviceName}</span><br />
  </h2>
  <hr />
  <p class="me-5 mb-2">
    Did the maintainer say that feature ‘works’ but you know from doing it that
    it really doesn’t? <br />
  </p>
  <p class="me-5">
    Start by searching the
    {
      issuesLink ? (
        <a class="link underline" href={issuesLink} target="_blank">
          device issue
        </a>
      ) : (
        <>device issue</>
      )
    }
    , if you found it, hopefully the porter is on it. 'Subscribe' to the issue in
    case it get solved.
  </p>
  <p class="light bold mt-5 me-5 h6 mb-3"><b>Couldn't find it?</b></p>
  <p class="me-5 mb-2">
    Uh-oh… Well it is time to let the porter and everyone else know about the
    fail and send the tech magic back to the workshop for a makeover.
  </p>

  <p class="me-5 mb-2">
    1. Read '<a
      href="https://docs.ubports.com/en/latest/contribute/bugreporting.html"
      class="bold"
      target="_blank">Bug Reporting</a
    >' section in UBports docs on 'How to report a bug'.
  </p>
  <p class="me-5">
    2. Then (this time), head to
    {
      issuesLink ? (
        <a href={issuesLink} target="_blank" class="underline link">
          the device repository
        </a>
      ) : (
        <>the device repository</>
      )
    }
    and submit it, so the porter knows about it.
  </p>
</sidebarjs-component>
